import 'dart:async';
import 'dart:ffi';

import 'package:flutter/services.dart';

class BarometerPlugin {
  static const MethodChannel _channel =
      const MethodChannel('barometer_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<List<double>> getBarometerData() async {
    final List<double> version = await _channel.invokeMethod('getBarometerData');
    return version;
  }

  static Future<Null> stopBarometerListener() async {
    await _channel.invokeMethod('stopBarometerListener');
    return null;
  }

  static Future<Null> startBarometerListener(int updateSpeed) async {
    Map<String, dynamic> args = <String, dynamic>{};
    args.putIfAbsent("updateSpeed", ()=> updateSpeed);
    await _channel.invokeMethod('startBarometerListener', args);
    return null;
  }
}
